Main Page Class Hierarchy Compound List File List Compound Members File Members

# Apaddle Class Reference

`#include <paddle.h>`

Inheritance diagram for Apaddle::

List of all members.

## Public Methods
ELIBOBJ EDLL | Apaddle (char *name, Aobject *L, int x, int y, int w, int h, Aresobj *o, int ow, int oy, int mode)
EDLL | Apaddle (char *name, Aobject *L, int x, int y, int type)
EDLL | Apaddle (char *name, Aobject *L, int x, int y, int size, dword color)
virtual EDLL | ~Apaddle ()
virtual EDLL bool | mouse (int x, int y, int state, int event)
virtual EDLL bool | notify (Anode *o, int event, dword p)
virtual EDLL void | set (float v)
virtual EDLL void | set (float x, float y)
virtual EDLL float | get (int type=paddleCURRENT)
virtual EDLL void | paint (Abitmap *b)
## Public Attributes
Acontrol * | control

## Constructor & Destructor Documentation

ELIBOBJ EDLL Apaddle::Apaddle | ( | char * | name,
|  | Aobject * | L,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | Aresobj * | o,
|  | int | ow,
|  | int | oy,
|  | int | mode
| ) |

EDLL Apaddle::Apaddle | ( | char * | name,
|  | Aobject * | L,
|  | int | x,
|  | int | y,
|  | int | type
| ) |

EDLL Apaddle::Apaddle | ( | char * | name,
|  | Aobject * | L,
|  | int | x,
|  | int | y,
|  | int | size,
|  | dword | color
| ) |

virtual EDLL Apaddle::~Apaddle | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual EDLL float Apaddle::get | ( | int | type = paddleCURRENT | ) | `[virtual]`

virtual EDLL bool Apaddle::mouse | ( | int | x,
|  | int | y,
|  | int | state,
|  | int | event
| ) | `[virtual]`

| Reimplemented from Aobject.

virtual EDLL bool Apaddle::notify | ( | Anode * | o,
|  | int | event,
|  | dword | p
| ) | `[virtual]`

| Reimplemented from Anode.

virtual EDLL void Apaddle::paint | ( | Abitmap * | b | ) | `[virtual]`

| Reimplemented from Aobject.

virtual EDLL void Apaddle::set | ( | float | x,
|  | float | y
| ) | `[virtual]`

virtual EDLL void Apaddle::set | ( | float | v | ) | `[virtual]`

## Member Data Documentation

Acontrol* Apaddle::control

The documentation for this class was generated from the following file:

- paddle.h